/* @refresh reload */
import { render } from 'solid-js/web';

import './index.css';
import Home from './pages/Home';
import { Route, Router, Routes, hashIntegration } from '@solidjs/router';
import StrLen from './pages/StrLen';
import StrRev from './pages/StrRev';
import StrNoise from './pages/StrNoise';
import LoremIpsum from './pages/LoremIpsum';
import Convert from './pages/ConvertBase';
import ConvertBase from './pages/ConvertBase';

const root = document.getElementById('root');

if (import.meta.env.DEV && !(root instanceof HTMLElement)) {
	throw new Error(
		'Root element not found. Did you forget to add it to your index.html? Or maybe the id attribute got misspelled?',
	);
}

render(() => (
	<Router source={hashIntegration()}>
		<Routes>
			<Route path="/" component={Home} />
			<Route path="/strlen" component={StrLen} />
			<Route path="/strrev" component={StrRev} />
			<Route path="/strnoise" component={StrNoise} />
			<Route path="/loremipsum" component={LoremIpsum} />
			<Route path="/convertbase" component={ConvertBase} />
		</Routes>
	</Router>
), root!);
